## Create a Namespace `client.KV.Namespaces.New(ctx, params) (*Namespace, error)` **post** `/accounts/{account_id}/storage/kv/namespaces` Creates a namespace under the given title. A `400` is returned if the account already owns a namespace with this title. A namespace must be explicitly deleted to be replaced. ### Parameters - `params NamespaceNewParams` - `AccountID param.Field[string]` Path param: Identifier. - `Title param.Field[string]` Body param: A human-readable string name for a Namespace. ### Returns - `type Namespace struct{…}` - `ID string` Namespace identifier tag. - `Title string` A human-readable string name for a Namespace. - `SupportsURLEncoding bool` True if keys written on the URL will be URL-decoded before storing. For example, if set to "true", a key written on the URL as "%3F" will be stored as "?". ### Example ```go package main import ( "context" "fmt" "github.com/cloudflare/cloudflare-go" "github.com/cloudflare/cloudflare-go/kv" "github.com/cloudflare/cloudflare-go/option" ) func main() { client := cloudflare.NewClient( option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"), ) namespace, err := client.KV.Namespaces.New(context.TODO(), kv.NamespaceNewParams{ AccountID: cloudflare.F("023e105f4ecef8ad9ca31a8372d0c353"), Title: cloudflare.F("My Own Namespace"), }) if err != nil { panic(err.Error()) } fmt.Printf("%+v\n", namespace.ID) } ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "success": true, "result": { "id": "0f2ac74b498b48028cb68387c421e279", "title": "My Own Namespace", "supports_url_encoding": true } } ```